<?php
if(!defined('IN_MYBB'))
{
	die("Whoops! Sorry, but you can't call this file directly. Make sure it is included with MyBB first.");
}

$plugins->add_hook("upload_file_end", 'upload_backup');

$lang_strings['mkdir_error'] = "Uh-oh! We were unable to create the needed directory to run this plugin! You have the option of creating it yourself. Just create a directory called 'backup' in the uploads folder.";

function attach_backup_info()
{
	return array(
		'name' 			=> 'Attachment Backup',
		'description'	=> 'This plugin will backup attachments to a backup directory in the uploads directory.',
		'website'		=> '',
		'author'		=> 'LegosJedi',
		'authorsite'	=> '',
		'version'		=> '1.0'
	);
}

function attach_backup_activate()
{
	global $mybb, $lang_strings;
	
	if(!is_dir(MYBB_ROOT.$mybb->settings['uploadspath'].'/backup'))
	{
		$dir = mkdir(MYBB_ROOT.$mybb->settings['uploadspath'].'/backup', 0777);
		if(!$dir)
		{
			cperror($lang_strings['mkdir_error']);
		}
	}
}

function attach_backup_deactivate()
{
	global $mybb;
	
	$dir = opendir(MYBB_ROOT.$mybb->settings['uploadspath'].'/backup');
	while(($file = readdir($dir)) !== false)
	{
		if($file != '.' || $file != '..' || !is_dir($file))
		{
			@unlink(MYBB_ROOT.$mybb->settings['uploadspath']."/backup/".$file);
		}
	}

	@rmdir(MYBB_ROOT.$mybb->settings['uploadspath'].'/backup');
}

function upload_backup($upload)
{
	$move = copy($upload['path'].'/'.$upload['filename'], $upload['path'].'/backup/'.$upload['filename']);
}
?>